LWTextInternal Namespace Reference

Internal: the structures of a LWText. More...

## Classes

struct | PLC
| Internal : the different plc types: mainly for debugging. More...
struct | Font
| Internal: struct used to store the font of a LWText. More...
struct | Paragraph
| Internal: class to store the paragraph properties. More...
struct | HFZone
| Internal: the header/footer zone of a LWText. More...
struct | State
| Internal: the state of a LWText. More...

## Enumerations

enum | PLCType { P_Font, P_Font2, P_Ruler, P_Ruby, P_StyleU, P_StyleV, P_Unknown }
| the different plc type More...

## Functions

std::ostream & | operator<< (std::ostream &o, PLC const &plc)
std::ostream & | operator<< (std::ostream &o, Font const &font)
std::ostream & | operator<< (std::ostream &o, HFZone const &hf)

## Detailed Description

Internal: the structures of a LWText.

## Enumeration Type Documentation

enum LWTextInternal::PLCType

the different plc type

Enumerator
P_Font |
P_Font2 |
P_Ruler |
P_Ruby |
P_StyleU |
P_StyleV |
P_Unknown |

## Function Documentation

std::ostream& LWTextInternal::operator<< | ( | std::ostream & | o,
|  | PLC const & | plc
| ) |  |

std::ostream& LWTextInternal::operator<< | ( | std::ostream & | o,
|  | Font const & | font
| ) |  |

std::ostream& LWTextInternal::operator<< | ( | std::ostream & | o,
|  | HFZone const & | hf
| ) |  |